Bug 1287508 - [abrt] kernel BUG at fs/btrfs/extent-tree.c:1833! [btrfs]
[abrt] kernel BUG at fs/btrfs/extent-tree.c:1833! [btrfs]
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8a4663bff37f963fa44eade0be4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 03:52 EST by Mikhail
Modified: 2016-10-26 12:49 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-26 12:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (188.55 KB, text/plain)
2015-12-02 03:52 EST, Mikhail
no flags Details
dmesg (4.18 KB, text/plain)
2015-12-11 02:11 EST, Dylan Graham
no flags Details

  None (edit)
Description Mikhail 2015-12-02 03:52:04 EST
Additional info:
reporter:       libreport-2.6.3
kernel BUG at fs/btrfs/extent-tree.c:1833!
invalid opcode: 0000 [#1] SMP 
Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nls_utf8 isofs rfcomm fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ebtable_nat ebtable_broute bridge ebtable_filter ebtables ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security ip6table_filter ip6_tables iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security bnep snd_usb_audio snd_usbmidi_lib snd_rawmidi hid_logitech_hidpp btusb btrtl btbcm btintel bluetooth gspca_zc3xx gspca_main videodev uas media joydev usb_storage hid_logitech_dj rfkill btrfs xor intel_rapl iosf_mbi x86_pkg_temp_thermal snd_hda_codec_hdmi snd_hda_codec_realtek coretemp
 snd_hda_codec_generic snd_hda_codec_ca0132 iTCO_wdt iTCO_vendor_support kvm_intel vfat ppdev fat kvm snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq crct10dif_pclmul snd_seq_device crc32_pclmul crc32c_intel snd_pcm raid6_pq snd_timer snd mei_me mei soundcore shpchp i2c_i801 lpc_ich parport_pc tpm_infineon parport tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc binfmt_misc i915 i2c_algo_bit drm_kms_helper drm 8021q garp stp llc mrp serio_raw r8169 mii video
CPU: 7 PID: 10775 Comm: kworker/u16:15 Not tainted 4.2.6-301.fc23.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. Z87M-D3H/Z87M-D3H, BIOS F11 08/12/2014
Workqueue: btrfs-extent-refs btrfs_extent_refs_helper [btrfs]
task: ffff8805c042bb00 ti: ffff88074d748000 task.ti: ffff88074d748000
RIP: 0010:[<ffffffffa05e9af7>]  [<ffffffffa05e9af7>] insert_inline_extent_backref+0xe7/0xf0 [btrfs]
RSP: 0018:ffff88074d74baa8  EFLAGS: 00010293
RAX: 0000000000000000 RBX: 0000000000000000 RCX: 0000000000000000
RDX: ffff880000000000 RSI: 0000000000000001 RDI: 0000000000000000
RBP: ffff88074d74bb28 R08: 0000000000004000 R09: ffff88074d74b9a0
R10: 0000000000000000 R11: 0000000000000003 R12: ffff8807ec932800
R13: ffff88048185d090 R14: 0000000000000000 R15: 0000000000000000
FS:  0000000000000000(0000) GS:ffff88081e3c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000013dd12294020 CR3: 0000000001c0b000 CR4: 00000000001406e0
Stack:
 0000000000000000 0000000000000005 0000000000000000 0000000000000000
 0000000000000001 ffffffff81200206 ffff88074d74bb08 ffffffffa05dcd4a
 00000000000033e8 000000004e7e87f3 ffff8807ea905800 0000000000000000
Call Trace:
 [<ffffffff81200206>] ? kmem_cache_alloc+0x1d6/0x210
 [<ffffffffa05dcd4a>] ? btrfs_alloc_path+0x1a/0x20 [btrfs]
 [<ffffffffa05e9f99>] __btrfs_inc_extent_ref.isra.52+0xa9/0x270 [btrfs]
 [<ffffffffa05ef6b4>] __btrfs_run_delayed_refs+0xc84/0x1080 [btrfs]
 [<ffffffff811a5347>] ? mempool_free_slab+0x17/0x20
 [<ffffffff812001c3>] ? kmem_cache_alloc+0x193/0x210
 [<ffffffffa05f2674>] btrfs_run_delayed_refs.part.73+0x74/0x270 [btrfs]
 [<ffffffffa05f290e>] delayed_ref_async_start+0x7e/0x90 [btrfs]
 [<ffffffffa06384b2>] btrfs_scrubparity_helper+0xc2/0x260 [btrfs]
 [<ffffffffa063868e>] btrfs_extent_refs_helper+0xe/0x10 [btrfs]
 [<ffffffff810b650e>] process_one_work+0x19e/0x3f0
 [<ffffffff810b67ae>] worker_thread+0x4e/0x450
 [<ffffffff810b6760>] ? process_one_work+0x3f0/0x3f0
 [<ffffffff810bc8b8>] kthread+0xd8/0xf0
 [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817797df>] ret_from_fork+0x3f/0x70
 [<ffffffff810bc7e0>] ? kthread_worker_fn+0x160/0x160
Code: 10 49 89 d9 48 8b 55 c0 4c 89 7c 24 10 4c 89 f1 4c 89 ee 4c 89 e7 89 44 24 08 48 8b 45 20 48 89 04 24 e8 5d d5 ff ff 31 c0 eb ac <0f> 0b e8 92 47 ab e0 66 90 0f 1f 44 00 00 55 48 89 e5 41 57 41 
RIP  [<ffffffffa05e9af7>] insert_inline_extent_backref+0xe7/0xf0 [btrfs]
 RSP <ffff88074d74baa8>
Comment 1 Mikhail 2015-12-02 03:52:13 EST
Created attachment 1101363 [details]
File: dmesg
Comment 2 Mikhail 2015-12-02 04:16:05 EST
Occured after btrfs balance start
# btrfs balance start /home -v
Comment 3 Sinan H 2015-12-08 04:51:06 EST
I do confirm that btrfs balance causes hard lockups here, with the same error. The raid1 is freshly modified (sdd is brand new) so had a lot to balance - didnt see the problem with the previous sdd that got replaced. Letting it balance when the box is idle (nighttime, no logged users) was OK, bu trying to do stuff at the same time locked it randomly. 

This is my layout:

$ btrfs fi show /mnt/btrfs_pool/
Label: none  uuid: 8aef485a-3e5e-4f45-96dd-44ee9d41fb09
        Total devices 2 FS bytes used 227.66GiB
        devid    1 size 931.51GiB used 229.03GiB path /dev/sdd1
        devid    2 size 931.51GiB used 229.03GiB path /dev/sdc1

$ btrfs fi df /mnt/btrfs_pool/
Data, RAID1: total=227.00GiB, used=226.36GiB
System, RAID1: total=32.00MiB, used=48.00KiB
Metadata, RAID1: total=2.00GiB, used=1.29GiB
GlobalReserve, single: total=448.00MiB, used=0.00B


$ btrfs fi show /mnt/backups/
Label: none  uuid: 49963f07-64bf-427c-864e-c7a9b4bbcdf4
        Total devices 1 FS bytes used 227.33GiB
        devid    1 size 465.76GiB used 235.02GiB path /dev/sda1

$ uname -a
Linux cygn 4.2.6-301.fc23.x86_64 #1 SMP Fri Nov 20 22:22:41 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
Comment 4 Dylan Graham 2015-12-11 02:11 EST
Created attachment 1104585 [details]
dmesg
Comment 5 Laura Abbott 2016-09-23 15:32:16 EDT
*********** MASS BUG UPDATE **************
 
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 23 kernel bugs.
 
Fedora 23 has now been rebased to 4.7.4-100.fc23.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 24 or 25, and are still experiencing this issue, please change the version to Fedora 24 or 25.
 
If you experience different issues, please open a new bug report for those.
Comment 6 Laura Abbott 2016-10-26 12:47:58 EDT
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.